import { resolve } from 'path'

export default {
  // 用于配置部署目录, 默认为根目录, 如果需要部署到二级目录的话,
  // 请取消以下注释, 并填写你最终需要部署的二级目录名, 必须以 / 开头及结尾。如: '/foo/'
  // base: '/',
  devServer: {
    port: 9090,
    domain: '',
    https: false,
    ssl: {
      key: '',
      cert: ''
      // ca: '' //可选
    }
  },
  // 如果多页应用, 则这里写传入多个值即可(注意不是数组格式)
  pages: {
    // 这里的key值, 将是最终的页面的名称
    index: {
      // 这里的resolve可将相对路径转为绝对路径
      // 如果传入的路径已经是绝对路径的, 可不需要resolve
      entry: resolve('./src/main.js'),
      title: 'browser benchmark'
    }
  },
  inject: {
    // v1.0.1之后, 可以注入一个scss, 所有的vue文件中的样式都会被注入这个公共scss
    // 注意: 该文件不支持热更新, 不可被vue/js文件引用 (但可以被其他的scss文件引用)
    scss: resolve('./src/inject.scss')
  },
  // 以下cdn地址, 可自行修改为适合的
  // 有用到其他的库, 可以手动添加,
  // 也可以在页面中直接引入完整的路径, 而不必须在这里声明
  imports: {
    'es.shim': '//jscdn.ink/es.shim/latest/index.js',
    'vue-dev': '//jscdn.ink/vue/3.2.47/vue.runtime.esm-browser.js',
    vue: '//jscdn.ink/vue/3.2.47/vue.runtime.esm-browser.prod.js',
    'vue-router': '//jscdn.ink/@bytedo/vue-router/4.1.6/vue-router.js',
    fetch: '//jscdn.ink/@bytedo/fetch/2.1.5/next.js',
    wkit: '//jscdn.ink/wkit/latest/index.js',
    '@bd/ui/': '//jscdn.ink/@bd/ui/latest/'
  }
}
