/**
 * {}
 * @author yutent<yutent.io@gmail.com>
 * @date 2023/07/18 19:11:01
 */

import { IS_SAFARI } from './env.js'

// 用canvas检测图形/图象的支持
export function checkCanvas(type) {
  // macos下的safari, 调用webgpu,会崩溃
  // 所以, webgpu不能用canvas调用来判断
  if (type == 'webgpu') {
    return !!navigator.gpu ^ 0
  }
  try {
    var canvas = document.createElement('canvas')
    var ctx = canvas.getContext(type)
    return ctx ? 1 : 0
  } catch (err) {
    console.log(err)
    return 0
  }
}

export function checkMedia(type, isAudio = 1) {
  let ctx = isAudio ? new Audio() : document.createElement('video')
  let res = ctx.canPlayType(type)
  if (res === 'maybe' || res === 'probably') {
    return 1
  }
  return 0
}
